#
# spec file for package xine-lib
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           xine-lib
# %bcond_with = default off
# %bcond_without = default on
#
# --with distributable      -> don't build libxine1-codecs
# --without distributable   -> build libxine1-codecs
#
# default for buildservice is no patented codecs
%bcond_with onlynondistributable
%if 0%{suse_version} >= 1100
%bcond_without pulseaudio
%else
%bcond_with pulseaudio
%endif
%bcond_without sdl
%bcond_without aalib
%bcond_without arts
%bcond_without esd
%bcond_without jack
%bcond_without gnome_vfs
%bcond_without directfb
%if 0%{suse_version} > 1110
%bcond_without modplug
%else
%bcond_with modplug
%endif
#
%bcond_without external_ffmpeg
#
BuildRequires:  ImageMagick-devel alsa-devel flac-devel giflib-devel
BuildRequires:  glib2-devel gnutls-devel gtk2-devel imlib2-devel krb5-devel
BuildRequires:  libcdio-devel libdrm-devel libmng-devel libsmbclient
BuildRequires:  Mesa-devel libsmbclient-devel libtheora-devel libvorbis-devel
BuildRequires:  readline-devel update-desktop-files vcdimager-devel
BuildRequires:  speex-devel
BuildRequires:  libtool
%if 0%{suse_version} >= 1210
BuildRequires:  libv4l-devel >= 0.8.4
%else
%if 0%{suse_version} >= 1110
BuildRequires:  libv4l-devel
%endif
%endif
%if 0%{suse_version} >= 1030
BuildRequires:  lirc-devel
%else
BuildRequires:  lirc
%endif
%if !%{with distributable}
# those requiremens are optional but internal copies are likely old
%if %{with external_ffmpeg}
BuildRequires:  libfaad-devel libffmpeg-devel
%endif
%endif
%if %{with pulseaudio}
BuildRequires:  libpulse-devel
%endif
%if %{with sdl}
BuildRequires:  SDL-devel
%endif
%if %{with aalib}
BuildRequires:  aalib-devel
BuildRequires:  libcaca-devel
%endif
%if %{with arts}
BuildRequires:  arts-devel
%endif
%if %{with esd}
BuildRequires:  esound-devel
%endif
%if %{with gnome_vfs}
BuildRequires:  gnome-vfs2-devel
%endif
%if %{with jack}
BuildRequires:  libjack-devel
%endif
%if %{with directfb}
%if 0%{suse_version} >= 1020
BuildRequires:  DirectFB-devel
%else
BuildRequires:  DirectFB
%endif
%endif
%if %{with modplug}
BuildRequires:  libmodplug-devel
%endif
Version:        1.1.20.1
Release:        60.2
# bug437293
%ifarch ppc64
Obsoletes:      xine-lib-64bit
%endif
%define abiversion 1.30
Summary:        Video Player with Plug-Ins
Group:          Productivity/Multimedia/Video/Players
License:        GPLv2+
Url:            http://www.xine-project.org/home
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with distributable}
Source:         xine-lib-%{version}-crippled.tar.bz2
%else
Source:         http://downloads.sourceforge.net/project/xine/xine-lib/%{version}/xine-lib-%{version}.tar.bz2
%endif
Source2:        baselibs.conf
Source10:       README.SuSE
Source99:       precheckin_cripple_tarball.sh
# *** xine-lib: Bugfixes
Patch26:        xine-lib-doc-fix-X11R6.diff
Patch28:        xine-lib-%{version}-ia64-is-not-alpha.diff
Patch31:        xine-lib-%{version}-glitch-free-pulseaudio.patch
# *** Addons
Patch50:        vdr-xine-0.9.3.diff.bz2
Patch51:        vdr-xine-SUSE.diff
Patch61:        xine-lib-%{version}-mjpegplugin.diff
Patch62:        xine-lib-libdvdread_udf.diff
# *** SUSE only changes
Patch70:        xine-lib-crippled-LOCAL.diff
Patch71:        xine-lib-%{version}-demuxcheckfor_mad_ffmpeg.patch
Patch72:        xine-lib-%{version}-install-plugins-helper.diff
Patch73:        xine-lib-%{version}-assert.patch
Patch74:        xine-configure.diff
Patch75:        xine-lib-v4l-2.6.38.patch
# *** Only working for noncrippled source
Patch80:        xine-lib-various-noncrippled.diff

%description
xine is a free multimedia player. It plays back CDs, DVDs, and VCDs. It
also decodes multimedia files like AVI, MOV, WMV, and MP3 from local
disk drives, and displays multimedia streamed over the Internet. It
interprets many of the most common multimedia formats available - and
some of the most uncommon formats, too.

%description -l de
xine ist ein freies Multimedia Wiedergabeprogramm. Es spielt Musik-CDs,
Video-DVDs und VCDs. Es gibt auch Multimeda Dateien wie AVI, MOV, WMV
und MP3 von der lokalen Platte sowie über das Internet wieder. Es gibt
die meisten übliche Multimedia Formate wieder, sowie einige weniger
verbreitete.

%package -n libxine1
Summary:        Video Player with Plug-Ins
Group:          Productivity/Multimedia/Video/Players
License:        GPLv2+
Provides:       xine-lib = %{version}-%{release}
Obsoletes:      xine-lib < %{version}-%{release}
Provides:       xine-extra = %{version}-%{release}
Obsoletes:      xine-extra < %{version}-%{release}
Provides:       libxine1-syncfb = %{version}-%{release}
Obsoletes:      libxine1-syncfb < %{version}-%{release}
Provides:       libxine1-xvmc = %{version}-%{release}
Obsoletes:      libxine1-xvmc < %{version}-%{release}
Provides:       libxine1-dvb = %{version}-%{release}
Obsoletes:      libxine1-dvb < %{version}-%{release}
# bug437293
%ifarch ppc64
Obsoletes:      xine-lib-64bit
%endif
#
Recommends:     libxine1-codecs = %{version}
Recommends:     opensuse-codecs-installer

%description -n libxine1
xine is a video player with a graphical front-end that supports a large
number of file formats (VCD and MPEG2, for example) using plug-ins.
Several plug-ins are included. Others can be installed after xine
installation. xine supports stereo sound using OSS and AC5.1 using
Alsa.

xine ist ein Videoplayer mit grafischem  Frontend und unterstützt
eine vielzahl an Dateiformaten (z.B. VCD und MPEG2) mit hilfe von
Plugins. Einige Plugins sind enthalten, andere können nach der
Installation von xine nachinstalliert werden. xine untersützt
Stereosound via OSS und AC5.1 per Alsa.

xine is a video player with a graphical front-end that supports a large
number of file formats (VCD and MPEG2, for example) using plug-ins.
Several plug-ins are included. Others can be installed after xine
installation. xine supports stereo sound using OSS and AC5.1 using
Alsa.

xine ist ein Videoplayer mit grafischem  Frontend und unterstützt
eine vielzahl an Dateiformaten (z.B. VCD und MPEG2) mit hilfe von
Plugins. Einige Plugins sind enthalten, andere können nach der
Installation von xine nachinstalliert werden. xine untersützt
Stereosound via OSS und AC5.1 per Alsa.

%if %{with distributable}
This version of xine may lack certain features because of legal
requirements (potential patent violation). See also
http://www.opensuse.org/XINE#Legal_Matters
%endif
More information about xine plug-ins can be found at
http://www.xine-project.org/home

Authors:
--------
    Guenter Bartsch <guenter@sourceforge.net>

%description -n libxine1 -l de
xine is a video player with a graphical front-end that supports a large
number of file formats (VCD and MPEG2, for example) using plug-ins.
Several plug-ins are included. Others can be installed after xine
installation. xine supports stereo sound using OSS and AC5.1 using
Alsa.

xine ist ein Videoplayer mit grafischem  Frontend und unterstützt
eine vielzahl an Dateiformaten (z.B. VCD und MPEG2) mit hilfe von
Plugins. Einige Plugins sind enthalten, andere können nach der
Installation von xine nachinstalliert werden. xine untersützt
Stereosound via OSS und AC5.1 per Alsa.

xine is a video player with a graphical front-end that supports a large
number of file formats (VCD and MPEG2, for example) using plug-ins.
Several plug-ins are included. Others can be installed after xine
installation. xine supports stereo sound using OSS and AC5.1 using
Alsa.

xine ist ein Videoplayer mit grafischem  Frontend und unterstützt
eine vielzahl an Dateiformaten (z.B. VCD und MPEG2) mit hilfe von
Plugins. Einige Plugins sind enthalten, andere können nach der
Installation von xine nachinstalliert werden. xine untersützt
Stereosound via OSS und AC5.1 per Alsa.

%if %{with distributable}
Diese xine-Version lässt eventuell einige Funktione aus rechtlichen
Gründen vermissen (mögliche Patentverletzungen). Siehe dazu
http://www.opensuse.org/XINE#Legal_Matters
%endif
Weitere Informationen über xine Plugins finden Sie unter
http://www.xine-project.org/home

Autoren:
--------
    Guenter Bartsch <guenter@sourceforge.net>

%package -n libxine-devel
License:        GPLv2+ ; Public Domain, Freeware
Summary:        Development environment for xine-based media players
Group:          Development/Libraries/C and C++
Requires:       glibc-devel freetype2-devel zlib-devel libxine1 = %{version}
Obsoletes:      libxine1-devel < %{version}-%{release}
Provides:       libxine1-devel = %{version}-%{release}
Obsoletes:      xine-devel < %{version}-%{release}
Provides:       xine-devel = %{version}-%{release}
Obsoletes:      xine-lib-devel < %{version}-%{release}
Provides:       xine-lib-devel = %{version}-%{release}
# bug437293
%ifarch ppc64
Obsoletes:      xine-lib-devel-64bit
%endif
#

%description -n libxine-devel
This package contains all necessary include files, libraries and
configuration files needed to compile applications that use the xine
media player.

xine is a video player which supports a large number of file formats
(i.e., VCD, MPEG2) using plug-ins. Several plug-ins are included.
Others can be post-installed. Supports stereo sound using OSS and AC5.1
using Alsa.

Dieses Paket enthält alle nötigen Include Dateien, Biblioteken und
Konfigurationsdateien, die benötigt werden, um Anwendungen zu
kompilieren, die den xine Media Player verwenden.

xine ist ein Videoplayer mit grafischem  Frontend und unterstützt
eine vielzahl an Dateiformaten (z.B. VCD und MPEG2) mit hilfe von
Plugins. Einige Plugins sind enthalten, andere können nach der
Installation von xine nachinstalliert werden. xine untersützt
Stereosound via OSS und AC5.1 per Alsa.

This package contains all necessary include files, libraries and
configuration files needed to compile applications that use the xine
media player.

xine is a video player which supports a large number of file formats
(i.e., VCD, MPEG2) using plug-ins. Several plug-ins are included.
Others can be post-installed. Supports stereo sound using OSS and AC5.1
using Alsa.

Dieses Paket enthält alle nötigen Include Dateien, Biblioteken und
Konfigurationsdateien, die benötigt werden, um Anwendungen zu
kompilieren, die den xine Media Player verwenden.

xine ist ein Videoplayer mit grafischem  Frontend und unterstützt
eine vielzahl an Dateiformaten (z.B. VCD und MPEG2) mit hilfe von
Plugins. Einige Plugins sind enthalten, andere können nach der
Installation von xine nachinstalliert werden. xine untersützt
Stereosound via OSS und AC5.1 per Alsa.

%if %{with distributable}
This version of xine may lack certain features because of legal
requirements (potential patent violation). See also
http://www.opensuse.org/XINE#Legal_Matters
%endif
More information about xine plug-ins can be found at
http://www.xine-project.org/home

Authors:
--------
    Guenter Bartsch <guenter@users.sourceforge.net>

%description -n libxine-devel -l de
This package contains all necessary include files, libraries and
configuration files needed to compile applications that use the xine
media player.

xine is a video player which supports a large number of file formats
(i.e., VCD, MPEG2) using plug-ins. Several plug-ins are included.
Others can be post-installed. Supports stereo sound using OSS and AC5.1
using Alsa.

Dieses Paket enthält alle nötigen Include Dateien, Biblioteken und
Konfigurationsdateien, die benötigt werden, um Anwendungen zu
kompilieren, die den xine Media Player verwenden.

xine ist ein Videoplayer mit grafischem  Frontend und unterstützt
eine vielzahl an Dateiformaten (z.B. VCD und MPEG2) mit hilfe von
Plugins. Einige Plugins sind enthalten, andere können nach der
Installation von xine nachinstalliert werden. xine untersützt
Stereosound via OSS und AC5.1 per Alsa.

This package contains all necessary include files, libraries and
configuration files needed to compile applications that use the xine
media player.

xine is a video player which supports a large number of file formats
(i.e., VCD, MPEG2) using plug-ins. Several plug-ins are included.
Others can be post-installed. Supports stereo sound using OSS and AC5.1
using Alsa.

Dieses Paket enthält alle nötigen Include Dateien, Biblioteken und
Konfigurationsdateien, die benötigt werden, um Anwendungen zu
kompilieren, die den xine Media Player verwenden.

xine ist ein Videoplayer mit grafischem  Frontend und unterstützt
eine vielzahl an Dateiformaten (z.B. VCD und MPEG2) mit hilfe von
Plugins. Einige Plugins sind enthalten, andere können nach der
Installation von xine nachinstalliert werden. xine untersützt
Stereosound via OSS und AC5.1 per Alsa.

%if %{with distributable}
Diese xine-Version lässt eventuell einige Funktione aus rechtlichen
Gründen vermissen (mögliche Patentverletzungen). Siehe dazu
http://www.opensuse.org/XINE#Legal_Matters
%endif
Weitere Informationen über xine Plugins finden Sie unter
http://www.xine-project.org/home

Autoren:
--------
    Guenter Bartsch <guenter@sourceforge.net>

%if %{with pulseaudio}

%package -n libxine1-pulse
License:        GPLv2+ ; Public Domain, Freeware
Summary:        Pulseaudio plugin for xine
Group:          Productivity/Multimedia/Video/Players
Requires:       libxine1 = %{version}
Supplements:    packageand(libpulse0:libxine1)

%description -n libxine1-pulse
xine sound output plugin for the pulseaudio soundserver

Authors:
--------
    Guenter Bartsch <guenter@users.sourceforge.net>

%description -n libxine1-pulse -l de
xine Soundausgabeplugin für den Pulseaudio Soundserver

Autoren:
--------
    Guenter Bartsch <guenter@sourceforge.net>

%endif
%if %{with sdl}

%package -n libxine1-sdl
License:        GPLv2+ ; Public Domain, Freeware
Summary:        SDL plugin for xine
Group:          Productivity/Multimedia/Video/Players
Requires:       libxine1 = %{version}

%description -n libxine1-sdl
SDL xine video output plugin

Authors:
--------
    Guenter Bartsch <guenter@users.sourceforge.net>

%description -n libxine1-sdl -l de
SDL xine Video-Ausgabeplugin

Autoren:
--------
    Guenter Bartsch <guenter@sourceforge.net>

%endif

%if %{with arts}

%package -n libxine1-arts
License:        GPLv2+ ; Public Domain, Freeware
Summary:        Arts plugin for xine
Group:          Productivity/Multimedia/Video/Players
Requires:       libxine1 = %{version}

%description -n libxine1-arts
xine sound output plugin for the arts soundserver

Authors:
--------
    Guenter Bartsch <guenter@users.sourceforge.net>

%description -n libxine1-arts -l de
xine Soundausgabeplugin für den arts Soundserver

Autoren:
--------
    Guenter Bartsch <guenter@sourceforge.net>

%endif

%if %{with aalib}

%package -n libxine1-aa
License:        GPLv2+ ; Public Domain, Freeware
Summary:        Aalib and libcaca plugin for xine
Group:          Productivity/Multimedia/Video/Players
Requires:       libxine1 = %{version}

%description -n libxine1-aa
aalib and libcaca xine video-output plugin

Authors:
--------
    Guenter Bartsch <guenter@users.sourceforge.net>


%description -n libxine1-aa -l de
aalib und libcaca xine Video Ausgabeplugin

Autoren:
--------
    Guenter Bartsch <guenter@sourceforge.net>

%endif
%if %{with esd}

%package -n libxine1-esd
License:        GPLv2+ ; Public Domain, Freeware
Summary:        Esd plugin for xine
Group:          Productivity/Multimedia/Video/Players
Requires:       libxine1 = %{version}

%description -n libxine1-esd
libxine sound output plugin for the esound soundserver

Authors:
--------
    Guenter Bartsch <guenter@users.sourceforge.net>

%description -n libxine1-esd -l de
libxine Soundausgabeplugin für den esound Soundserver

Authors:
--------
    Guenter Bartsch <guenter@users.sourceforge.net>

%endif
%if %{with jack}

%package -n libxine1-jack
License:        GPLv2+ ; Public Domain, Freeware
Summary:        Jack plugin for xine
Group:          Productivity/Multimedia/Video/Players
Requires:       libxine1 = %{version}

%description -n libxine1-jack
xine sound output plugin for the jack soundserver

Authors:
--------
    Guenter Bartsch <guenter@users.sourceforge.net>

%description -n libxine1-jack -l de
xine Soundausgabeplugin für den jack Soundserver

Autoren:
--------
    Guenter Bartsch <guenter@sourceforge.net>

%endif

%if %{with directfb}

%package -n libxine1-directfb
License:        GPLv2+ ; Public Domain, Freeware
Summary:        Directfb plugin for xine
Group:          Productivity/Multimedia/Video/Players
Requires:       libxine1 = %{version}

%description -n libxine1-directfb
Directfb xine video-output plugin

Authors:
--------
    Guenter Bartsch <guenter@users.sourceforge.net>

%description -n libxine1-directfb -l de
Directfb xine Video-Ausgabeplugin

Autoren:
--------
    Guenter Bartsch <guenter@sourceforge.net>

%endif

%if %{with gnome_vfs}

%package -n libxine1-gnome-vfs
License:        GPLv2+ ; Public Domain, Freeware
Summary:        Gnome-vfs plugin for xine
Group:          Productivity/Multimedia/Video/Players
Requires:       libxine1 = %{version}
Supplements:    packageand(gnome-vfs2:libxine1)

%description -n libxine1-gnome-vfs
Input plugin which enables xine to use Gnome-vfs

Authors:
--------
    Guenter Bartsch <guenter@users.sourceforge.net>

%description -n libxine1-gnome-vfs -l de
Eingabeplugin welches xine ermöglicht Gnome-vfs zu benutzen

Autoren:
--------
    Guenter Bartsch <guenter@sourceforge.net>

%endif

%if !%{with distributable}

%package -n libxine1-codecs
License:        GPLv2+ ; Public Domain, Freeware
# these libs are possibly illegal and may not work without libdvdcss anyway
Summary:        Xine plugins for watching DVDs, DivX and more
Group:          Productivity/Multimedia/Video/Players
Requires:       libxine1 = %{version}
Obsoletes:      xine-mad
Obsoletes:      xine-internal < %{version}-%{release}
Provides:       libxine1-dvd = %{version}-%{release}
Obsoletes:      libxine1-dvd < %{version}-%{release}
Provides:       libxine1-dxr3 = %{version}-%{release}
Obsoletes:      libxine1-dxr3 < %{version}-%{release}
Provides:       xine-lib:%{_libdir}/xine/plugins/1.0.0/xineplug_decode_mad.so xine-mad
Obsoletes:      xine-mad
Provides:       libxine1-dvd = %{version}-%{release}
Obsoletes:      libxine1-dvd < %{version}-%{release}
Provides:       libxine1-dxr3 = %{version}-%{release}
Obsoletes:      libxine1-dxr3 < %{version}-%{release}
%ifarch %{ix86}
Provides:       libxine1-w32dll = %{version}-%{release}
Obsoletes:      libxine1-w32dll < %{version}-%{release}
%endif
Recommends:     libdvdcss2 >= 1.2.10

%description -n libxine1-codecs
With these xine plug-ins, you can watch DVDs and all other kind of
media using xine. More information about xine plug-ins can be found at
http://www.xine-project.org/home

Authors:
--------
    Guenter Bartsch <guenter@sourceforge.net>

%description -n libxine1-codecs -l de
Mit diesem xine Plugins können Sie DVDs und alle von xine unterstützten
Medienverainten abspielen. Weitere Informationtne über xine Plugins
finden Sie unter
http://www.xine-project.org/home

Autoren:
--------
    Guenter Bartsch <guenter@sourceforge.net>
%endif

%prep
%if %{with distributable} && %{with onlynondistributable}
%error need --without distributable for --with onlynondistributable
%endif
cat <<EOF
+++ rpm build options +++'
Distributable version:	%{with distributable}
%if !%{with distributable}
  Codecs package only:	%{with onlynondistributable}
  External ffmpeg:	%{with external_ffmpeg}
%endif
Pulseaudio:		%{with pulseaudio}
SDL:			%{with sdl}
aalib:			%{with aalib}
arts:			%{with arts}
esd:			%{with esd}
jack:			%{with jack}
gnome_vfs:		%{with gnome_vfs}
directfb:		%{with directfb}
modplug:		%{with modplug}
+++++++++++++++++++++++++'
EOF
%setup -q
%patch26
%patch28 -p1
%patch31 -p1
%if 0%{suse_version} >= 1110
# set fuzzy=2 to get patch work with crippled and noncrippled tarball
%patch50 -p1 -F2
%else
%patch50 -p1
%endif
%patch51 -p1
sed -i 's|^noinst_HEADERS = input_vdr.h|xineinclude_HEADERS = input_vdr.h|' src/vdr/Makefile.am
%if 0%{suse_version} >= 1110
# set fuzzy=2 to get patch work with crippled and noncrippled tarball
%patch61 -p1 -F2
%else
%patch61 -p1
%endif
%patch62 -p1
#sed -i 's|^ac_config_files="|ac_config_files="src/vdr/Makefile src/mjpeg/Makefile|' configure
%if %{with distributable}
# Only apply to crippled source
%patch70
%patch71 -p1
%else
# Only apply to uncrippled source
%patch80
%endif
%patch72 -p1
%patch73 -p1
%patch74 -p1
%if 0%{suse_version} >= 1210
%patch75
%endif

rm -f m4/libtool15.m4

%build
export CFLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing -fno-force-addr"
export CCASFLAGS=-Wa,--noexecstack
%if 0%{suse_version} < 1011
echo 'AC_DEFUN([AC_REQUIRE_AUX_FILE])dnl' >> acinclude.m4
%endif
%if 0%{?suse_version} < 1020
  # hack for sles10
  rm m4/gettext.m4
  sed -i -e '/AM_GNU_GETTEXT_VERSION/s/0\.16\.1/0.14/' configure.ac
%endif
if [ ! -f configure ]; then
   NO_CONFIGURE=1 ./autogen.sh
fi
AUTOPOINT=true autoreconf -fi
./configure --prefix=/usr \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
%if 0%{suse_version} > 1010
	--docdir=%{_defaultdocdir}/xine \
%else
	docdir=%{_defaultdocdir}/xine \
%endif
	--enable-fpic \
	--enable-antialiasing \
	--with-libflac \
	--with-freetype \
	%{?with_modplug:--enable-modplug} \
	%{?with_directfb:--enable-directfb} \
	%{?with_arts:--with-arts} \
%if !%{with sdl}
	--without-sdl \
%endif
%if !%{with distributable}
	%{?with_external_ffmpeg:--with-external-ffmpeg} \
%endif
%ifarch %{ix86}
	--with-w32-path=/usr/lib/win32 \
%endif
%if 0%{suse_version} >= 1110
	--enable-v4l --enable-libv4l \
%else
	--disable-v4l --disable-libv4l \
%endif
	--with-install-plugins-helper=${_prefix}/lib/opensuse-codecs-installer
%if 0%{?suse_version} < 1110
# wtf libtool shit. $echo is unset. I guess there is a way to fix
# this properly, please tell me!
echo=echo \
%endif
make %{?jobs:-j%{jobs}}

%install
%if 0%{?suse_version} < 1110
# same libtool problem here
echo=echo \
%endif
make install DESTDIR=%{buildroot}
LIB="%{buildroot}%{_libdir}/xine/plugins/%{abiversion}"
# install documentation
install -m 0644 %{SOURCE10} COPYING AUTHORS %{buildroot}%{_defaultdocdir}/xine/
# remove usless READMEs
rm %{buildroot}%{_defaultdocdir}/xine/README.{irix,solaris,WIN32}
%ifarch %{ix86}
  mkdir -p %{buildroot}/usr/lib/win32
%endif
#
# big plugin sorting
#
cat > plugins << EOF
# these plugins do not have legal problems
xineplug_ao_out_alsa
xineplug_ao_out_file
xineplug_ao_out_none
xineplug_ao_out_oss
xineplug_vo_out_fb
xineplug_vo_out_none
xineplug_vo_out_opengl
xineplug_vo_out_xshm
xineplug_vo_out_xv
%if 0%{suse_version} > 1020
xineplug_vo_out_xcbshm
xineplug_vo_out_xcbxv
%endif
xineplug_vo_out_raw
xineplug_inp_dvb
xineplug_inp_dvd
%if 0%{suse_version} >= 1110
xineplug_inp_v4l
xineplug_inp_v4l2
xineplug_inp_pvr
%endif
xineplug_inp_file
xineplug_inp_http
xineplug_inp_net
xineplug_inp_pnm
xineplug_inp_cdda
xineplug_inp_smb
xineplug_inp_stdin_fifo
xineplug_inp_rtsp
xineplug_inp_rtp
xineplug_decode_bitplane
xineplug_decode_rgb
xineplug_decode_mjpeg
xineplug_decode_vorbis
xineplug_decode_yuv
xineplug_decode_lpcm
xineplug_decode_real
xineplug_decode_speex
xineplug_decode_theora
xineplug_decode_mpc
xineplug_decode_gdk_pixbuf
xineplug_decode_spucmml
xineplug_decode_sputext
xineplug_decode_spuhdmv
# requires ImageMagick
xineplug_decode_image
xineplug_dmx_yuv_frames
xineplug_dmx_real
xineplug_dmx_audio
xineplug_dmx_iff
xineplug_dmx_avi
xineplug_dmx_flv
xineplug_dmx_image
xineplug_dmx_matroska
xineplug_dmx_ogg
xineplug_dmx_fli
xineplug_dmx_nsv
xineplug_dmx_mng
xineplug_dmx_pva
xineplug_dmx_qt
xineplug_dmx_rawdv
xineplug_dmx_sputext
xineplug_dmx_games
xineplug_dmx_slave
xineplug_flac
xineplug_vdr
xineplug_vo_out_xxmc
xineplug_vo_out_xvmc
xineplug_vo_out_syncfb
%ifarch %{ix86}
xineplug_vo_out_vidix
%endif
post/xineplug_post_audio_filters
post/xineplug_post_goom
post/xineplug_post_mosaico
post/xineplug_post_switch
post/xineplug_post_tvtime
post/xineplug_post_visualizations
#
.pulse
xineplug_ao_out_pulseaudio
#
.arts
xineplug_ao_out_arts
#
.esd
xineplug_ao_out_esd
#
.jack
xineplug_ao_out_jack
#
.aalib
xineplug_vo_out_aa
xineplug_vo_out_caca
#
.sdl
xineplug_vo_out_sdl
#
.gnome-vfs
xineplug_inp_gnome_vfs
#
.directfb
xineplug_vo_out_directfb
xineplug_vo_out_xdirectfb
#
.codecs
# libmad and MPEG related plugins
xineplug_decode_mad
xineplug_decode_spudvb
xineplug_inp_vcd
xineplug_inp_vcdo
xineplug_decode_mpeg2
xineplug_dmx_mpeg
xineplug_dmx_mpeg_block
xineplug_dmx_mpeg_ts
xineplug_dmx_mpeg_elem
xineplug_dmx_mpeg_pes
xineplug_dmx_yuv4mpeg2
# these plugins do have legal problems
xineplug_decode_a52
xineplug_decode_dts
xineplug_decode_faad
xineplug_decode_ff
xineplug_decode_dvaudio
xineplug_dmx_asf
xineplug_inp_mms
# I am not sure about these plugins, they need to be checked
# Closed Captioning Decoder (EIA-608). Patented ???
xineplug_decode_spucc
xineplug_decode_spu
# NES Music File Format. free ??
xineplug_decode_nsf
# Philips claimed intellectual property on GSM 06.10
xineplug_decode_gsm610
%ifarch %{ix86}
xineplug_decode_qt
xineplug_decode_w32dll
%endif
xineplug_decode_dxr3_video
xineplug_vo_out_dxr3
xineplug_decode_dxr3_spu
# unfortunately using external ffmpeg links the planar post
# processing plugin against ffmpeg libs
post/xineplug_post_planar
#
EOF
#
OUT_FILE=""
grep -v ^# plugins | while read i; do
  [ "${i:0:1}" = "." ] && OUT_FILE=${i} && continue
  echo %{_libdir}/xine/plugins/%{abiversion}/${i}.so >> files${OUT_FILE}
done
%find_lang libxine1
cat libxine1.lang >>files
%if %{with distributable}
xargs -i+ rm -f %{buildroot}/+ <files.codecs
%else
%if 0%{?__debug_package}
# strip patent encumbered plugins to prevent their source from
# ending up in the debuginfo package
xargs -i+ strip --strip-debug %{buildroot}/+ <files.codecs
%endif
%endif
%if %{with distributable}
for i in files files.*; do
  test "$i" = 'files.codecs' || xargs -i+ rm -f %{buildroot}/+ < $i
done
rm -rf %{buildroot}%{_datadir}
rm -rf %{buildroot}%{_bindir}
rm -rf %{buildroot}%{_defaultdocdir}/xine %{buildroot}/usr/include
rm -rf %{buildroot}/usr/lib/win32 %{buildroot}/%{_libdir}/pkgconfig
rm -rf %{buildroot}%{_libdir}/xine/plugins/%{abiversion}/{vidix,mime.types}
rm -f  %{buildroot}%{_libdir}/libxine*
%endif

%clean
rm -rf %{buildroot}
%if !%{with distributable}

%post -n libxine1 -p /sbin/ldconfig

%postun -n libxine1 -p /sbin/ldconfig

%files -n libxine1 -f files
%defattr(-,root,root)
%{_bindir}/xine-list-*
%ifarch %{ix86}
%dir /usr/lib/win32
%endif
%dir /%{_libdir}/xine
%dir /%{_libdir}/xine/plugins
%dir /%{_libdir}/xine/plugins/%{abiversion}
%dir /usr/share/xine
%dir /usr/share/xine/libxine1
%{_libdir}/libxine.so.*
%doc %{_mandir}/man1/xine-list-*.gz
%doc %{_mandir}/man5/xine.*
%{_defaultdocdir}/xine
%dir %{_libdir}/xine/plugins/%{abiversion}/post
%{_libdir}/xine/plugins/%{abiversion}/vidix
%{_libdir}/xine/plugins/%{abiversion}/mime.types
#
# xine fonts
# cetus is a freeware font from http://www.fontfreak.com/authors/gregfonts.htm
#
/usr/share/xine/libxine1/fonts
%if %{with pulseaudio}

%files -n libxine1-pulse -f files.pulse
%defattr(-,root,root,0755)
%endif
%if %{with sdl}

%files -n libxine1-sdl -f files.sdl
%defattr(-,root,root,0755)
%endif
%if %{with arts}

%files -n libxine1-arts -f files.arts
%defattr(-,root,root,0755)
%endif
%if %{with esd}

%files -n libxine1-esd -f files.esd
%defattr(-,root,root,0755)
%endif
%if %{with jack}

%files -n libxine1-jack -f files.jack
%defattr(-,root,root,0755)
%endif
%if %{with aalib}

%files -n libxine1-aa -f files.aalib
%defattr(-,root,root,0755)
%endif
%if %{with directfb}

%files -n libxine1-directfb -f files.directfb
%defattr(-,root,root,0755)
%endif
%if %{with gnome_vfs}

%files -n libxine1-gnome-vfs -f files.gnome-vfs
%defattr(-,root,root,0755)
%endif

%files -n libxine-devel
%defattr(-,root,root)
%doc %{_mandir}/man1/xine-config.1.gz
/usr/bin/xine-config
%{_libdir}/pkgconfig/libxine.pc
%{_libdir}/libxine.la
%{_libdir}/libxine.so
/usr/share/aclocal/xine.m4
/usr/include/xine
/usr/include/xine.h
%endif # onlynondistributable
%if !%{with distributable}

%files -n libxine1-codecs -f files.codecs
%defattr(-,root,root)
%dir %{_libdir}/xine
%dir %{_libdir}/xine/plugins
%dir %{_libdir}/xine/plugins/%{abiversion}
%dir %{_libdir}/xine/plugins/%{abiversion}/post
%endif

%changelog
* Sun Dec 18 2011 cs@linux-administrator.com
- re-import
